Subject: bug#11513: 24.1.50; raise-frame never raise the foreground window on Windows

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 May 2012 15:42:57 +0300

> Date: Sat, 19 May 2012 21:02:21 +0900
> From: Kazuhiro Ito <[email-masked]>
> Cc: [email-masked]
> 
> 1. Launch other Windows application (e.g. explorer, Command Prompt).
> 2. Start Emacs with -Q option.
> 3. Move Emacs frame to make it to overlap other application window(s)
>  with mouse drag.
> 4. Yank the below code into *scratch* buffer.
> 
> (let ((frame (selected-frame)))
>   (lower-frame frame)
>   (sleep-for 5)
>   (raise-frame frame))
> 
> 5. Evaluate it with C-j.
> 6. Keep away from keyboard and mouse until Emacs finishes evaluation.
> 
> Result: Emacs frame is behind other application window(s).
> 
> Expected result: Emacs frame is in front of other application
> window(s).

Thanks.  I get the expected result on my system, with the latest
pretest binary.  The only differences I could think of that could
explain why we get different results are (1) I built the pretest
myself (will try the binary you used later); and (2) some Windows
configuration changes, either on your system or on mine, that make our
systems behave differently.

Would other Windows users please try reproducing this problem on their
machines?